import { useMemo } from "react";
import { Steps } from "antd";
import type { StepsProps } from "antd/es/steps";
import { LoadingOutlined } from "@ant-design/icons";

import Flowchart from "./Flowchart";
import Mindmap from "./Mindmap";

export default function GenerateBubble() {
  const stepItems: StepsProps["items"] = useMemo(() => {
    return [
      {
        title: "系统设计",
        status: "process",
        icon: <LoadingOutlined />,
      },
      {
        title: "数据模型",
        status: "wait",
      },
      {
        title: "页面设计",
        status: "wait",
      },
      {
        title: "代码生成",
        status: "wait",
      },
      {
        title: "发布应用",
        status: "wait",
      },
    ];
  }, []);
  return (
    <div className="w-full h-500px flex">
      <div className="w-200px">
        <Steps className="h-full" items={stepItems} direction="vertical" />
      </div>
      <div className="flex-1 bg-#fff p-12px rounded-12px">
        <Flowchart data={[]}/>
        {/* <Mindmap data={[]}/> */}
      </div>
    </div>
  );
}
